.button {
  appearance: none;
  background: none;
  border-radius: 2rem;
  border: 1px solid #1d0d34;
  box-sizing: border-box;
  color: #1d0d34;
  display: inline-block;
  font: 700 1rem/1.25 var(--font-ui);
  margin: 0;
  padding: 0.75rem 1rem;
  text-decoration: none;
  cursor: pointer;
}

.button:disabled {
  pointer-events: none;
  opacity: 0.65;
}

.primary {
  background-color: #1d0d34;
  color: #fff;
}

.secondary {
  border: 1px solid #1d0d34;
  color: #1d0d34;
}

.text {
  border: 1px solid transparent;
  color: #1d0d34;
}
